﻿using System.Collections.Generic;
using System.Linq;
using _833630_Anonymous_Object.Models;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;

namespace _833630_Anonymous_Object.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            var res = (from customer in this.Context.Customers.Take(5)
                       select new CustomerModel { Name = customer.ContactName }).ToList();
            ViewBag.Artikel = res;
            return View();
        }

        public class CustomerModel
        {
            public string Name { get; set; }
        }
    }
}